/* 
 * coder.c -- handles:
 *   Simple coder ;)
 * 
 * $Id: coder.c,v 1.00 2000/06/17 17:22:11 CaRRigAn Exp $
 */
/* 
 * Copyright (C) 2000 CaRRigAn
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <stdio.h>
#include <string.h>
#include "crypt.h"

int write_file();

int main() {
write_file("../conf", "cconf");
rename("cconf", "../conf");
write_file("../conf2", "cconf");
rename("cconf", "../conf2");
write_file("../conf3", "cconf");
rename("cconf", "../conf3");
write_file("../slave", "cconf");
rename("cconf", "../slave");
write_file("../main", "cconf");
rename("cconf", "../main");
write_file("../scripts/ameno.tcl", "normal-tcl");
rename("normal-tcl", "../scripts/ameno.tcl");
write_file("../scripts/ameno-slave.tcl", "slave-tcl");
rename("slave-tcl", "../scripts/ameno-slave.tcl");
write_file("../scripts/ameno-main.tcl", "main-tcl");
rename("main-tcl", "../scripts/ameno-main.tcl");
return 0;
}

int write_file(char *fname_r, char *fname_w)
{
  FILE *file;
  FILE *plik;
  char chrum;
  int gemma;
  int migdalek;

file = fopen(fname_r, "r");
if (file == NULL) {
    printf("Error 666. No crypted TCL file!\n");
    return(1);
    }
  plik = fopen(fname_w, "w");
  fprintf(plik, "AmenO");
  chrum=fgetc(file);
  migdalek=0;
  while (chrum!=EOF) {
    unsigned long m;

    gemma=0;
    if (chrum=='\n')
      gemma++;
    m=chrum^cryptkey[0]^cryptkey[1]^cryptkey[2]^cryptkey[3];
    m+=(migdalek++*2);
    fwrite(&m,sizeof(m),1,plik);
    if (gemma)
      migdalek=0;
    chrum=fgetc(file);
  }
  fclose(file);
  fclose(plik);
  remove(fname_r);
return(0);
}
